using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class HotelSeasonManager : GenericManagerBase<HotelSeason>, IHotelSeasonManager
    {
        public IList<HotelSeason> LoadAllByPage(out long total, int page, int rows, string order, string sort)
        {
            return ((Dao.IHotelSeasonRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort).ToList();
        }

        public HotelSeason LoadByHotelID(int hotelID)
        {
            return ((Dao.IHotelSeasonRepository)(this.CurrentRepository)).LoadByHotelID(hotelID);
        }
    }
}
